package _VisualDVM.Visual.Windows;
import Common.Visual.Menus.VisualiserMenuBar;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Visual.Interface.CommentInterface;

import javax.swing.*;
public class CommentFields implements CommentInterface {
    public JSplitPane SC26;
    private JPanel content;
    private JToolBar commentTools;
    private JToolBar commentAdditionTools;
    private JPanel editorPanel;
    private JPanel additionPanel;
    public CommentFields() {
        LoadSplitters();
        commentTools.add(Global.mainModule.getPass(PassCode.SaveBugReportComment).createButton());
        commentAdditionTools.add(Global.mainModule.getPass(PassCode.AppendBugReportComment).createButton());
    }
    @Override
    public void setEditorScroll(JScrollPane scroll_in) {
        editorPanel.add(scroll_in);
    }
    @Override
    public void setAdditionScroll(JScrollPane scroll_in) {
        additionPanel.add(scroll_in);
    }
    @Override
    public JPanel getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        commentTools = new VisualiserMenuBar();
        commentAdditionTools = new VisualiserMenuBar();
    }
}
